package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SAPFUNCPARAM"
)
public class SAPFUNCPARAM {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "ISREFERENCE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isreference;
   @XmlAttribute(
      name = "SUBTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String subtype;
   @XmlAttribute(
      name = "DEF"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String def;
   @XmlAttribute(
      name = "DATATYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "PRECISION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String precision;
   @XmlAttribute(
      name = "SCALE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String scale;
   @XmlAttribute(
      name = "ISOPTIONAL"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isoptional;
   @XmlAttribute(
      name = "DEFAULTVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String defaultvalue;
   @XmlAttribute(
      name = "ORDER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String order;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getISREFERENCE() {
      return this.isreference;
   }

   public void setISREFERENCE(String value) {
      this.isreference = value;
   }

   public String getSUBTYPE() {
      return this.subtype;
   }

   public void setSUBTYPE(String value) {
      this.subtype = value;
   }

   public String getDEF() {
      return this.def;
   }

   public void setDEF(String value) {
      this.def = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getPRECISION() {
      return this.precision;
   }

   public void setPRECISION(String value) {
      this.precision = value;
   }

   public String getSCALE() {
      return this.scale;
   }

   public void setSCALE(String value) {
      this.scale = value;
   }

   public String getISOPTIONAL() {
      return this.isoptional;
   }

   public void setISOPTIONAL(String value) {
      this.isoptional = value;
   }

   public String getDEFAULTVALUE() {
      return this.defaultvalue;
   }

   public void setDEFAULTVALUE(String value) {
      this.defaultvalue = value;
   }

   public String getORDER() {
      return this.order;
   }

   public void setORDER(String value) {
      this.order = value;
   }
}
